Subject: Re: linux-next: New build failures in Sep 25 tree

From: Stefan Kristiansson <[email-masked]>
Date: Fri, 26 Sep 2014 10:59:00 +0300

On Fri, Sep 26, 2014 at 08:30:57AM +0200, Geert Uytterhoeven wrote:
> Hi Günther,
> 
> [cc openrisc]
> 
> On Thu, Sep 25, 2014 at 10:25 PM, Guenter Roeck <[email-masked]> wrote:
> > New build failures:
> 
> > openrisc-defconfig
> >
> > In file included from arch/openrisc/kernel/signal.c:31:0:
> > ./arch/openrisc/include/asm/syscall.h: In function 'syscall_get_arch':
> > ./arch/openrisc/include/asm/syscall.h:77:9: error: 'EM_OPENRISC' undeclared
> 
> That's not a new one. It's been failing for half or year or so.
> 
> If you only see it now, that means something else got fixed ;-)
> 

>>From what I can see, it's caused by
ce5d112827e5 ("ARCH: AUDIT: implement syscall_get_arch for all arches")
that got (re?)introduced two days ago.

To me it seems that the problem is that EM_OPENRISC is
missing in include/uapi/linux/elf-em.h, but if that's the case,
I think microblaze have the same problem with that patch applied.

Stefan